<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Simple Example to parse JSON data in jQuery Datatable</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" type="text/css" media="all">
<script type="text/javascript" charset="utf8" src="http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.11.1.min.js"></script>

<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.9/css/jquery.dataTables.min.css"/>
	 
<script type="text/javascript" src="https://cdn.datatables.net/1.10.9/js/jquery.dataTables.min.js"></script>
</head>
<body>

	<div class="container">
      <div class="">
		<h1>Simple Example to parse JSON data in jQuery Datatable</h1>
        <div class="">
		<table id="employee_grid" class="display" width="100%" cellspacing="0">
        <thead>
            <tr>
                <th>Empid</th>
                <th>Name</th>
				 <th>Salary</th>
                <th>Age</th>
				<th>Image</th>
				<th>Action</th>
            </tr>
        </thead>
 
        <tfoot>
            <tr>
               <th>Empid</th>
                <th>Name</th>
				<th>Salary</th>
                <th>Age</th>
                <th>Image</th>
				<th>Action</th>
            </tr>
        </tfoot>
    </table>
    </div>
      </div>

    </div>
	</body>
<script type="text/javascript">
$( document ).ready(function() {
$('#employee_grid').DataTable({
				 "bProcessing": true,
         "serverSide": true,
         "ajax":{
            url :"response.php", // json datasource
            type: "post",  // type of method  , by default would be get
			"aoColumnDefs" : [
				 {
				   'bSortable' : false,
				   'aTargets' : [3,4]
				 }],
			"dataSrc": function (jsonData) {
			  for ( var i=0, len=jsonData.data.length ; i<len ; i++ ) {
			  
				jsonData.data[i][4] = '<img src="'+jsonData.data[i][4]+'"/>';
				jsonData.data[i][1] = '<a href="http://www.phpflow.com" target="_blank">'+jsonData.data[i][1]+'</a>';
				jsonData.data[i][5] = '<div class="btn-group" data-toggle="buttons"><a href="#" target="_blank" class="btn btn-primary btn-xs">Edit</a><a href="#" target="_blank" class="btn btn-primary btn-xs">Delete</a><a href="#" target="_blank" class="btn btn-primary btn-xs">View</a></div>';
			  }
			  
			  return jsonData.data;
			},
            error: function(){  // error handling code
             // $(".employee-grid-error").html("");
              //$("#employee_grid").append('<tbody class="employee-grid-error"><tr><th colspan="3">No data found in the server</th></tr></tbody>');
              $("#employee_grid_processing").css("display","none");
            }
          }
        });   
});
</script>
</html>
